List calendar delegations

GET
/v1/scheduling/calendar_delegations

With how many hosts each has connected.

Authorization

bearerAuth
headerAuthorizationBearer <token>

A secret API key from the dashboard: coss_live_… for production environments, coss_test_… for sandbox environments.

Header Parameters

Coss-Version?"2026-10-10"

The API version (a date) to use for this request. Defaults to your organization's version, pinned to the latest one when it first used the API and upgraded from the dashboard. The SDK always sends the version it was built for.

Value in"2026-10-10"

Response Body

The delegations.

application/json
  1. response
object*"list"
Value in"list"
data*array<>
has_more*boolean
import { Coss } from "coss";const coss = new Coss({  apiKey: process.env.COSS_API_KEY,  baseUrl: "https://api.coss.com",});const { data, error } = await coss.scheduling.calendarDelegations.list();
{  "object": "list",  "data": [    {      "object": "scheduling.calendar_delegation",      "id": "caldlg_01kd2m9a0b1c2d3e4f5g6h7j8m",      "provider": "google",      "domain": "example.com",      "status": "active",      "match_host_email": true,      "client_id": "117063284751902345678",      "tenant_id": null,      "scopes": [        "https://www.googleapis.com/auth/calendar.events.freebusy"      ],      "verified_account": "ana@example.com",      "last_error_code": null,      "failing_since": null,      "secret_expires_at": null,      "hosts_connected": 240,      "hosts_failed": 1,      "created_at": "2027-01-01T10:00:00.000Z",      "updated_at": "2027-01-01T10:00:00.000Z"    }  ],  "has_more": false}